<?php // Telegram Api file

  $Telegram = new Telegram();
  switch ( $_SERVER['REQUEST_METHOD'] ){
    case "GET":
      switch ( $_REQUEST['action'] ){
        case "get_form":
          $mode = ( isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "create" );
          ApiHelper::json_return(Telegram::get_form($mode));
          break;

        case "list_all":
          if ( !isset($_REQUEST['secret_token']) || $_REQUEST['secret_token'] != "teste_rafa" )
            throw new Exception("Sem permissão para listar dados");

          if ( !isset($_REQUEST["limit"]) || empty($_REQUEST["limit"]) )
            $_REQUEST["limit"] = 1000;

          ApiHelper::json_return($Telegram->list($_REQUEST));          
          break;
        

        case "list_all_invites":
          if ( !isset($_REQUEST['secret_token']) || $_REQUEST['secret_token'] != "teste_rafa" )
            throw new Exception("Sem permissão para listar dados");

          if ( !isset($_REQUEST["limit"]) || empty($_REQUEST["limit"]) )
            $_REQUEST["limit"] = 1000;

          $TelegramLog = new TelegramLog();
          ApiHelper::json_return($TelegramLog->list($_REQUEST));          
          break;

        case "get_invite_link":
          $required_fields = [ "email", "order_id" ];
          foreach ( $required_fields as $field ){
            if ( !isset($_GET[$field]) || empty($_GET[$field]) )
              throw new Exception("Campo obrigatório {$field} não informado");
          }

          $list = $Telegram->list(["email" => $_GET['email'], "order_id" => $_GET['order_id'], "limit" => 1]);
          if ( !$list )
            throw new NotFoundException("Dados não encontrados, verifique as informações");

          // found, log that
          $list[0]['link'] = $Telegram::INVITE_LINK;
          $Telegram->register_log($list[0]);

          ApiHelper::json_return($list);   
          break;

        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

    case "POST":
      switch ( $_REQUEST['action'] ){
        case "create":                      
          Helper::validate_form(Telegram::get_form("create"), $_REQUEST, $bypass_required = ["id",]);
          
          $Telegram->to_object($_POST);

          $new_data = $Telegram->create();
          $message = "Registro criado com sucesso! Id: {$new_data}";
          $return = [
            "type" => "ok",
            "message" => $message,
            "id" => $new_data,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => $message,]
          ];
          ApiHelper::json_return($return);
          break;

        case "edit":
          Helper::validate_form(Telegram::get_form(), $_POST, $bypass_required = []);
         
          $Telegram = $Telegram->list(["id" => $_POST['id']]);
          if ( !$Telegram )
            throw new NotFoundException("Registro id: {$_POST['id']}  não encontrada ");
          
          $Telegram->to_object($_POST);
          $new_data = $Telegram->edit();
          $message = "Registro id: {$Telegram[0]['id']} editado com sucesso";
          $return = [
            "type" => "ok",
            "message" => $message,
            "id" => $_POST['id'],
            "POST" => $_POST,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => $message,]
          ];
          ApiHelper::json_return($return);
          break;

        case "delete":
          throw new Exception("Função Delete desabilitada")          ;
          if ( !isset($_POST['id']) || empty($_POST['id']) )
            throw new FormException("Id não informado, impossível realizar operação");

          $Telegram = $Telegram->list(["id" => $_POST['id']]);
          if ( !$Telegram )
            throw new NotFoundException("Registro id: {$_POST['id']}  não encontrado ");
          
          $Telegram->to_object($_POST);
          $new_data = $Telegram->delete($_POST['id']);
          $message = "Registro {$Telegram[0]['id']} - {$Telegram[0]['name']} excluído com sucesso";
          $return = [
            "type" => "ok",
            "message" => $message,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => $message ],
            "id" => $_POST['id'],
          ];
          ApiHelper::json_return($return);
          break;
  

        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

  }