<?php

  Class BackupHandler extends Base {

    protected $id;
    protected $record_id;
    protected $create_date;
    protected $record_date;
    protected $data;

    public static function is_json($string = "" ){
      return is_string($string) && is_array(json_decode($string, true)) ? true : false;

    }

    protected function create_sql_filter($filters = []){
      $where = "";
      $bind = [];
      $class_vars = $this->get_class_vars($this);
      if ( $filters ){
        foreach ( $filters as $key => $filter ){
          if ( in_array($key, $class_vars) ){ // create where based on class attributes 
            $where .= "\r\n AND {$filters['table_name']}.{$key} = :{$key} ";
            $bind[":{$key}"] = $filter;
          }else {
            switch ( $key ){
              case "order":
                $where .= "\r\n ORDER BY {$key}";
                //$bind[":{$key}"] = $filter;
                break;

              case "limit":
                $where .= "\r\n LIMIT :{$key}";
                $bind[":{$key}"] = $filter;
                break;
            }
          }
        }
      }

      return [ "where" => $where, "bind" => $bind ];
    }

    public function list($filters = []){
      $Crud = new Crud();

      $where = ( !empty($filters) ?  " \r\n 1 = 1 " : "" );
      $field_list = "*";
      $bind = [];
      if ( $filters ){
        $sql_filter = $this->create_sql_filter($filters);
        $where .= $sql_filter["where"];
        $bind = $sql_filter["bind"];
      }
      return $Crud->read($table = $filters['table_name'], $where, $bind, $fields = $field_list);
    }
    public static function table_exists($parameters = []){
      if ( !isset($parameters['table_name']) || empty($parameters['table_name']) )
        throw new Exception("Invalid table");

      $query = "SHOW TABLES LIKE '{$parameters['table_name']}'";

      $Crud = new Crud();
      return ( $Crud->execute_query($query) ? true : false );

    }

    public static function create_table($parameters = []){
      if ( !isset($parameters['table_name']) || empty($parameters['table_name']) )
        throw new Exception("Can't create table, invalid name or not specified");
      
      if ( self::table_exists(['table_name' => $parameters['table_name']]) )
        return true; //throw new Exception("Table {$parameters['table_name']} already existis." );

      $sql = "  CREATE TABLE IF NOT EXISTS {$parameters['table_name']} (
                  id INT AUTO_INCREMENT PRIMARY KEY,
                  record_id varchar(200) NULL DEFAULT NULL, -- pk ou id do sistema antigo
                  create_date datetime NOT NULL DEFAULT CURRENT_TIMESTAMP, -- data de inclusão do registo
                  record_date datetime NULL DEFAULT NULL, -- data do registro no sistema antigo
                  data JSON NOT NULL -- dados em json
            )  ENGINE=INNODB;";

      $Crud = new Crud();
      return ( $Crud->execute_query($sql) ? true : false );

    }

    public static function create($parameters = []){
      if ( !isset($parameters['table_name']) || empty($parameters['table_name']) )
        throw new Exception("Invalid table");

      if ( !isset($parameters['data']) || empty($parameters['data']) )
        throw new Exception("Invalid data");

      self::create_table($parameters);
      //$json = ( self::is_json($parameters['data']) ? $parameters['data'] : json_encode($parameters['data'], JSON_FORCE_OBJECT) );
      $json = $parameters['data'];
      $new_data = [ "data" => $json, "record_date" => $parameters['record_date'], "record_id" => $parameters['record_id']];
      $Crud = new Crud();
      return $Crud->create($table = $parameters['table_name'], $new_data );
    }

  }