<?php

  Class Telegram extends Base {

    //self::TABLE_NAME = "company";
    protected $id;
    protected $name;
    protected $order_id;
    protected $email;
    protected $phone;
    public const INVITE_LINK = "https://choraapi.com.br/";
    public function __construct(){
      $this->set__table_name("telegram");
      $this->set__class_name("Telegram");
      
    }

    public function get_id(){ return $this->id; }
    public function set_id($id): self { $this->id = $id; return $this; }

    public function get_name(){ return $this->name; }
    public function set_name($name): self { $this->name = $name; return $this; }

    public function get_order_id(){ return $this->order_id; }
    public function set_order_id($order_id): self { $this->order_id = $order_id; return $this; }

    public function get_email(){ return $this->email; }
    public function set_email($email): self { $this->email = $email; return $this; }

    public function get_phone(){ return $this->phone; }
    public function set_phone($phone): self { $this->phone = $phone; return $this; }

    public static function get_form($mode = "create"){
      $form = [
          "id" => "form_telegram",
          "fields" => [
            ['id' => 'id', 'type' => 'hidden', 'required' => true],

            ['id' => 'name',  'label' => 'Nome', 'required' => true,
              'type' => 'text', 'attributes' => ['minlength' => 1, 'maxlength' => 200, "placeholder" => "Informe o Nome"]],  

            ['id' => 'phone',  'label' => 'Telefone', 'required' => true,
              'type' => 'text', 'attributes' => ['minlength' => 1, 'maxlength' => 200, "placeholder" => ""]],     

            ['id' => 'email',  'label' => 'Email', 'required' => true,
              'type' => 'email', 'attributes' => ['minlength' => 1, 'maxlength' => 200, "placeholder" => ""]],  
            
            ['id' => 'order_id',  'label' => 'Registro/ID da compra', 'required' => true,
              'type' => 'text', 'attributes' => ['minlength' => 1, 'maxlength' => 200, "placeholder" => ""]],         

          ]
      ];

      switch ( $mode ){
        case "edit":
          $form['fields'][] = [
            "id" => "id", "name" => "id", "type" => "text", "label" => "Id",
            "required" => true ,
            "classes" => [ "form-control", "input-sm", "text-left", "limpar", "form-control-sm", ],
            "attributes" => ["min" => 1 ]
          ];
          break;
      }

      return $form;
    }

    public static function register_log($parameters = null ){
      if ( !$parameters )
        throw new Exception("Parametros inválidos, impossível registrar log");

      $TelegramLog = new TelegramLog();
      $TelegramLog->set_name($parameters['name']);
      $TelegramLog->set_email($parameters['email']);
      $TelegramLog->set_order_id($parameters['order_id']);
      $TelegramLog->set_link($parameters['link']);
      return $TelegramLog->create();
    }

  }