-- MySQL dump 10.13  Distrib 8.0.31, for Linux (x86_64)
--
-- Host: localhost    Database: cr_gestao
-- ------------------------------------------------------
-- Server version	8.0.31-0ubuntu2

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `bodies`
--

DROP TABLE IF EXISTS `bodies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `bodies` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `batch` int unsigned DEFAULT NULL,
  `slots` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci,
  `start` datetime DEFAULT NULL,
  `end` datetime DEFAULT NULL,
  `data` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL,
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `tracking_code_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `bodies_data_JSON VALID` CHECK (json_valid(`data`)),
  CONSTRAINT `bodies_slots_JSON VALID` CHECK (json_valid(`data`))
) ENGINE=MyISAM AUTO_INCREMENT=35 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `bodies`
--

LOCK TABLES `bodies` WRITE;
/*!40000 ALTER TABLE `bodies` DISABLE KEYS */;
/*!40000 ALTER TABLE `bodies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `company`
--

DROP TABLE IF EXISTS `company`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `company` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `company_UN` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `company`
--

LOCK TABLES `company` WRITE;
/*!40000 ALTER TABLE `company` DISABLE KEYS */;
INSERT INTO `company` VALUES (1,'JUNG');
/*!40000 ALTER TABLE `company` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `company_tracking_code`
--

DROP TABLE IF EXISTS `company_tracking_code`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `company_tracking_code` (
  `id` int NOT NULL AUTO_INCREMENT,
  `company_id` int NOT NULL,
  `tracking_code_id` int NOT NULL,
  `available` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `company_tracking_code_UN` (`tracking_code_id`),
  KEY `company_tracking_code_FK_company` (`company_id`),
  CONSTRAINT `company_tracking_code_FK_code` FOREIGN KEY (`tracking_code_id`) REFERENCES `tracking_code` (`id`),
  CONSTRAINT `company_tracking_code_FK_company` FOREIGN KEY (`company_id`) REFERENCES `company` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=414 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `company_tracking_code`
--

LOCK TABLES `company_tracking_code` WRITE;
/*!40000 ALTER TABLE `company_tracking_code` DISABLE KEYS */;
INSERT INTO `company_tracking_code` VALUES (314,1,100,1),(315,1,101,1),(316,1,102,1),(317,1,103,1),(318,1,104,1),(319,1,105,1),(320,1,106,1),(321,1,107,1),(322,1,108,1),(323,1,109,1),(324,1,110,1),(325,1,111,1),(326,1,112,1),(327,1,113,1),(328,1,114,1),(329,1,115,1),(330,1,116,1),(331,1,117,1),(332,1,118,1),(333,1,119,1),(334,1,120,1),(335,1,121,1),(336,1,122,1),(337,1,123,1),(338,1,124,1),(339,1,125,1),(340,1,126,1),(341,1,127,1),(342,1,128,1),(343,1,129,1),(344,1,130,1),(345,1,131,1),(346,1,132,1),(347,1,133,1),(348,1,134,1),(349,1,135,1),(350,1,136,1),(351,1,137,1),(352,1,138,1),(353,1,139,1),(354,1,140,1),(355,1,141,1),(356,1,142,1),(357,1,143,1),(358,1,144,1),(359,1,145,1),(360,1,146,1),(361,1,147,1),(362,1,148,1),(363,1,149,1),(364,1,150,1),(365,1,151,1),(366,1,152,1),(367,1,153,1),(368,1,154,1),(369,1,155,1),(370,1,156,1),(371,1,157,1),(372,1,158,1),(373,1,159,1),(374,1,160,1),(375,1,161,1),(376,1,162,1),(377,1,163,1),(378,1,164,1),(379,1,165,1),(380,1,166,1),(381,1,167,1),(382,1,168,1),(383,1,169,1),(384,1,170,1),(385,1,171,1),(386,1,172,1),(387,1,173,1),(388,1,174,1),(389,1,175,1),(390,1,176,1),(391,1,177,1),(392,1,178,1),(393,1,179,1),(394,1,180,1),(395,1,181,1),(396,1,182,1),(397,1,183,1),(398,1,184,1),(399,1,185,1),(400,1,186,1),(401,1,187,1),(402,1,188,1),(403,1,189,1),(404,1,190,1),(405,1,191,1),(406,1,192,1),(407,1,193,1),(408,1,194,1),(409,1,195,1),(410,1,196,1),(411,1,197,1),(412,1,198,1),(413,1,199,1);
/*!40000 ALTER TABLE `company_tracking_code` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `permission`
--

DROP TABLE IF EXISTS `permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `code` varchar(200) NOT NULL,
  `description` varchar(250) NOT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `permission_UN_code` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `permission`
--

LOCK TABLES `permission` WRITE;
/*!40000 ALTER TABLE `permission` DISABLE KEYS */;
INSERT INTO `permission` VALUES (1,'user_create','Criar usuário',1),(2,'user_edit','Editar usuário',1),(3,'user_delete','Excluir usuário es',1),(4,'user_list','Listar usuários',1),(6,'permission_create','Criar Permissão',1),(7,'permission_edit','Editar Permissão',1),(8,'permission_delete','Ecluir Permissão',1),(9,'permission_list','Listar Permissões',1);
/*!40000 ALTER TABLE `permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tracking_code`
--

DROP TABLE IF EXISTS `tracking_code`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tracking_code` (
  `id` int NOT NULL AUTO_INCREMENT,
  `code` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tracking_code_UN` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=1001 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tracking_code`
--

LOCK TABLES `tracking_code` WRITE;
/*!40000 ALTER TABLE `tracking_code` DISABLE KEYS */;
INSERT INTO `tracking_code` VALUES (692,'B0C6B5'),(252,'B0H0N2'),(720,'B0V6V4'),(384,'B0V6W9'),(984,'B0V8S9'),(643,'B1M9H5'),(247,'B1Q0W5'),(202,'B2D0Q4'),(624,'B2D5Q5'),(270,'B2J1G4'),(421,'B2N2Z3'),(558,'B2Q2N4'),(880,'B2V0V3'),(710,'B3C8D3'),(965,'B3G1W1'),(767,'B3H2R6'),(684,'B3H4D4'),(858,'B3J1G1'),(201,'B3T1X2'),(331,'B4G7G9'),(375,'B4N0K9'),(28,'B4R7R2'),(760,'B5D6X3'),(385,'B5J7L5'),(44,'B5M6F2'),(810,'B5S4D8'),(269,'B5T6C8'),(610,'B5V8G5'),(722,'B6B3F7'),(754,'B6B7R3'),(8,'B6B9N0'),(197,'B6C4T6'),(32,'B6D2P7'),(741,'B6D3F2'),(61,'B6N9S3'),(272,'B6P3C0'),(55,'B6R9K0'),(842,'B7G3S8'),(957,'B8D6T5'),(173,'B8J2C1'),(348,'B8X3H3'),(484,'B9J1Z4'),(151,'B9L4F3'),(249,'B9L7B1'),(134,'B9Q8N1'),(994,'B9W7S0'),(771,'C0C5L3'),(95,'C0D4F0'),(171,'C0F2X7'),(445,'C0P0R1'),(504,'C0P9L1'),(611,'C0S6K8'),(944,'C0Z6V3'),(284,'C1F1D2'),(530,'C1J0K4'),(561,'C1J7L1'),(958,'C1K5S9'),(477,'C1R7Z4'),(592,'C1Z2C8'),(510,'C1Z4R9'),(534,'C2B5N0'),(365,'C2G0W1'),(580,'C2M6H9'),(406,'C2Q3K7'),(328,'C2Q8W1'),(833,'C2Z7D6'),(837,'C2Z7L5'),(714,'C3B0Q4'),(632,'C3D4C9'),(357,'C3F2B7'),(153,'C3N5M2'),(732,'C3S9T5'),(563,'C3V0Z1'),(266,'C4B5C5'),(875,'C4H5L2'),(416,'C4J3W3'),(945,'C4N6Z6'),(841,'C4S1L1'),(664,'C5P7C4'),(452,'C5Z3Z1'),(450,'C5Z8W7'),(698,'C6B7Q2'),(117,'C6P8J5'),(145,'C6Z5X3'),(115,'C7D5W7'),(831,'C7H9Z6'),(630,'C7K3L6'),(761,'C7P5B8'),(41,'C7T6R4'),(144,'C7V1T6'),(295,'C8B4B5'),(374,'C8J3D3'),(263,'C8M1H3'),(21,'C8P8Z9'),(973,'C8P9K6'),(499,'C8T9B1'),(551,'C8W4F7'),(695,'C9L8R2'),(49,'C9N9Z9'),(11,'C9Q1L1'),(106,'C9S9D3'),(428,'C9T4D9'),(672,'C9Z9W4'),(139,'D0D4P8'),(893,'D0P1W6'),(685,'D0V7B4'),(441,'D0V7W2'),(652,'D0W1X0'),(703,'D0X2C0'),(808,'D0X3B8'),(853,'D0X3V6'),(422,'D1D3H2'),(278,'D1L1Q6'),(849,'D1M2C9'),(382,'D1S0P4'),(513,'D1W2G2'),(36,'D2C4B3'),(735,'D2G5J4'),(347,'D2R7P8'),(411,'D2X2N6'),(997,'D3J3K4'),(947,'D4H3H2'),(42,'D4K7Z0'),(679,'D4W1T6'),(890,'D4Z9L2'),(88,'D5P0P8'),(154,'D5P6Q2'),(363,'D5R0R4'),(896,'D5S5C0'),(238,'D5V9W1'),(531,'D6M6F6'),(94,'D6S3B2'),(340,'D6W4Z1'),(948,'D7P0H1'),(157,'D7P7L9'),(521,'D7Z6M3'),(789,'D8C2T3'),(17,'D8L1R9'),(155,'D8N4Z8'),(172,'D8X5R6'),(25,'D9G7J7'),(227,'D9K6X3'),(522,'D9V6P6'),(758,'D9W2H3'),(180,'D9X0B1'),(829,'F0C1V6'),(688,'F0D3M8'),(603,'F0F5N7'),(52,'F0H1R4'),(776,'F0H7B8'),(937,'F0N2L0'),(337,'F0N8D9'),(641,'F0R4S5'),(964,'F0T3G0'),(647,'F0X2V7'),(341,'F1L3P4'),(700,'F1T4N7'),(233,'F2B3Q9'),(359,'F2H2D1'),(57,'F2H7D2'),(412,'F2Q0Q8'),(804,'F2R8T9'),(268,'F2X4N4'),(581,'F3B7F7'),(12,'F3B7V9'),(187,'F3F1B5'),(557,'F3N3C0'),(669,'F4M9K7'),(911,'F4Q4R2'),(882,'F5B6L7'),(766,'F5K8D5'),(820,'F5M0L3'),(550,'F5R3L7'),(114,'F6B0N5'),(336,'F6D6F2'),(147,'F6G6S0'),(396,'F6J9N1'),(40,'F6R2R1'),(709,'F6S5D7'),(787,'F7C4N8'),(740,'F7C5Z1'),(748,'F7Q3V6'),(622,'F7Q5P4'),(312,'F7V0N7'),(31,'F7V0T3'),(297,'F7Z7K6'),(54,'F8B7K0'),(545,'F8N5Q3'),(616,'F8R8F2'),(77,'F8S4T3'),(405,'F9B7G3'),(261,'F9P9C6'),(576,'F9R2R5'),(897,'G0H0D6'),(724,'G0H6V1'),(6,'G0L6T9'),(178,'G0Q1V4'),(316,'G0X2H6'),(606,'G1J0N5'),(299,'G1L2V7'),(444,'G1M4Z4'),(192,'G1P5D2'),(27,'G1T9N5'),(39,'G2D5J8'),(344,'G2H7L0'),(169,'G3K7M3'),(162,'G3M6P5'),(392,'G3T9N5'),(260,'G3Z9N7'),(226,'G4B1G9'),(332,'G4D1N0'),(573,'G4D3N6'),(638,'G4G5W1'),(715,'G4K0R1'),(24,'G4L7B9'),(63,'G4M9C1'),(310,'G5B4F7'),(918,'G5D0K9'),(403,'G5L0D6'),(83,'G5V9D9'),(342,'G6C3B9'),(520,'G6G0N1'),(457,'G6J0S1'),(711,'G6K0J6'),(302,'G6S0D5'),(281,'G6V0H0'),(185,'G7C1C7'),(92,'G7K2N0'),(218,'G7L3Z3'),(175,'G7Q5W7'),(389,'G7W0W0'),(164,'G8G6V4'),(717,'G8G8D1'),(65,'G8H1D0'),(992,'G8J2N7'),(718,'G8J6L3'),(125,'G8L3D0'),(329,'G8N4W6'),(839,'G8R9L6'),(543,'G8S6D1'),(487,'G8W4J0'),(514,'G8W4J2'),(353,'G8Z3X4'),(294,'G9B7N0'),(775,'G9G3Z4'),(482,'G9V1Z1'),(690,'G9V9Q8'),(536,'H0C9B6'),(356,'H0D3W1'),(680,'H0F3Z0'),(280,'H0G6Z7'),(119,'H1F7T5'),(165,'H1L0L2'),(951,'H1R9M6'),(639,'H2C8Q7'),(325,'H2L5R6'),(242,'H2N1N5'),(631,'H3N7K4'),(495,'H3P7P6'),(460,'H3Q9Z1'),(311,'H3T7J9'),(517,'H3V4Z3'),(907,'H4F9S8'),(402,'H4L3M2'),(410,'H5G1R0'),(527,'H5L2L8'),(795,'H5T2C3'),(439,'H5W7Q1'),(848,'H6C3Q7'),(246,'H6C5W4'),(103,'H6H7F8'),(790,'H6H8P8'),(62,'H6K4W1'),(986,'H6P3S4'),(791,'H6T6H1'),(100,'H6Z9J2'),(686,'H7L3V5'),(785,'H7N1M4'),(835,'H7N2T6'),(595,'H7R2F8'),(300,'H8B4T2'),(800,'H8H1H5'),(537,'H8M1V4'),(274,'H8N7M7'),(209,'H8P2X6'),(430,'H8T3D4'),(417,'H9C1T3'),(368,'H9J8F6'),(823,'H9L0V3'),(736,'H9M6C2'),(899,'H9Q9N9'),(111,'H9T2B7'),(601,'J0K3V5'),(140,'J0P1W9'),(107,'J1C2Z5'),(707,'J1D5W6'),(942,'J1S4J9'),(568,'J1T6P6'),(993,'J1W6P6'),(500,'J2V7S5'),(770,'J2W8P9'),(519,'J3G2F8'),(338,'J3H6Q4'),(593,'J3R7P0'),(565,'J3V3P6'),(462,'J3V8X4'),(470,'J3X6R0'),(988,'J4C6L0'),(253,'J4D0Q5'),(825,'J4Q8D4'),(498,'J4R1W3'),(14,'J4V1L7'),(978,'J4V3S0'),(528,'J5F5T2'),(851,'J5K6T5'),(132,'J5T3P7'),(461,'J6D2V0'),(546,'J6G0T6'),(529,'J6R6H2'),(541,'J6Z4R8'),(381,'J7B2C3'),(901,'J7C0T4'),(572,'J7C3D5'),(673,'J7D3T5'),(752,'J7F7S9'),(179,'J7L8K7'),(391,'J7M9Q7'),(80,'J7N1G6'),(282,'J7Q4Z8'),(474,'J7S3F7'),(608,'J8D3J8'),(273,'J8N9S0'),(765,'J8S0M6'),(398,'J8T5G8'),(419,'J8V7W6'),(468,'J8W8G2'),(784,'J8X1Z2'),(995,'J8X9W9'),(877,'J8Z8D6'),(130,'J9L6F6'),(184,'J9M3D8'),(96,'J9N4K3'),(683,'J9T4L1'),(612,'J9V4Q3'),(743,'K0C0T0'),(889,'K0H2H0'),(81,'K0H3J0'),(591,'K0H8B7'),(930,'K0W9D9'),(660,'K0X6X0'),(158,'K1F7F7'),(772,'K1G1F1'),(108,'K1H7P4'),(51,'K1V0L5'),(920,'K1W6F2'),(665,'K1X5S6'),(728,'K2G1B8'),(977,'K2G2Q2'),(884,'K2H2S9'),(53,'K2L2W8'),(812,'K2L3J7'),(742,'K3J6K8'),(436,'K3J9F4'),(744,'K3N8R6'),(929,'K3T0H6'),(386,'K3Z0S9'),(485,'K4L0M6'),(515,'K4R7Z2'),(898,'K4V6F0'),(313,'K4X3L2'),(932,'K5C8C4'),(549,'K5G0P1'),(745,'K5G1W4'),(716,'K5J6W8'),(844,'K5Q7M4'),(871,'K5T2C1'),(874,'K5X6Q0'),(640,'K5Z2T6'),(756,'K6B0D6'),(91,'K6B7S9'),(447,'K6G8R4'),(659,'K6H0Q0'),(646,'K6M8N3'),(938,'K6P7J6'),(936,'K6P7T5'),(963,'K6R4V5'),(538,'K6V2K8'),(387,'K7M7L9'),(361,'K7N7V3'),(258,'K8C5N3'),(689,'K8X5N7'),(583,'K9B4L1'),(726,'K9C7K2'),(598,'K9H2C6'),(293,'K9J0D4'),(864,'K9Q2Q9'),(493,'K9R5L6'),(629,'L0J7G5'),(343,'L0K3S6'),(230,'L0Z1D1'),(82,'L1F0B8'),(3,'L1F2C4'),(975,'L1K7P2'),(85,'L2J8V2'),(358,'L2M9B5'),(891,'L2X5N1'),(570,'L3G2Z4'),(861,'L3H1S4'),(371,'L3L3H8'),(35,'L3S3Z7'),(856,'L3S7S9'),(437,'L3W1D1'),(279,'L4G5T8'),(729,'L4H4G7'),(933,'L4N1N7'),(872,'L4Q9X1'),(940,'L4R3K3'),(71,'L4R8C8'),(146,'L4R9Z7'),(373,'L5B7S2'),(440,'L5K0M3'),(908,'L5K4X8'),(93,'L5R0V5'),(815,'L5S5J3'),(170,'L5X4H3'),(847,'L6P1T2'),(124,'L6P5R1'),(191,'L6S1L9'),(255,'L6V8T5'),(553,'L6W0F1'),(481,'L6Z9J4'),(574,'L7C4D1'),(451,'L7C6L4'),(121,'L7D9Z4'),(87,'L7N5D1'),(370,'L7V8Z8'),(133,'L8D2G1'),(137,'L8G0K5'),(966,'L8W4R2'),(671,'L9C0M9'),(366,'L9H6Q1'),(471,'L9J1W8'),(23,'L9M7H5'),(322,'L9V7B5'),(196,'L9W4S9'),(821,'M0B7Z9'),(148,'M0D1Q5'),(222,'M0G1W0'),(479,'M0G5T0'),(245,'M0H8P8'),(822,'M0V7S2'),(705,'M0X3V0'),(731,'M1C4N5'),(369,'M1J8V2'),(655,'M1N0V5'),(350,'M1T1C9'),(628,'M2J8X6'),(476,'M2K8X9'),(924,'M2P7T2'),(67,'M3J1K5'),(620,'M3K2R2'),(79,'M3K2W0'),(796,'M3K9W1'),(483,'M3M9D1'),(186,'M3P0L5'),(985,'M3P9F6'),(458,'M3R3J8'),(584,'M3R6X1'),(304,'M4B7M1'),(199,'M4M9Q6'),(314,'M4P0R9'),(198,'M4R2S6'),(763,'M4T1P7'),(512,'M4T3S6'),(934,'M4T8T9'),(432,'M4W2J7'),(902,'M4X0G1'),(413,'M5D4G7'),(176,'M5F2X5'),(70,'M5J4P5'),(248,'M5L7R6'),(254,'M5M3Z7'),(793,'M5N1T9'),(492,'M5W8N6'),(215,'M6J5N2'),(68,'M6L0Q6'),(213,'M6M2V0'),(494,'M6N6X5'),(317,'M6N8K8'),(407,'M6Q2X7'),(634,'M7B4G6'),(102,'M7F4Z4'),(935,'M7G3C8'),(814,'M7L6K9'),(818,'M7N5S6'),(181,'M7P4J3'),(914,'M7V6G8'),(404,'M7W9V4'),(586,'M7X8X9'),(649,'M8F8K2'),(682,'M8F9R8'),(562,'M8H7Q1'),(619,'M8J8Q4'),(887,'M8N6J6'),(627,'M9D3M7'),(426,'M9F1N3'),(217,'M9F3L7'),(459,'M9J3N7'),(604,'M9J4V7'),(58,'M9N2X7'),(423,'M9Q9W7'),(843,'M9S5M9'),(372,'M9V6K2'),(623,'M9W8L8'),(989,'N0S0Z0'),(135,'N0X1L1'),(706,'N1F8P1'),(662,'N1N1Z6'),(981,'N1Q4J4'),(161,'N1R9K1'),(594,'N1W6R0'),(163,'N2F1L4'),(579,'N2F6G9'),(318,'N2K1R6'),(466,'N2L7R1'),(364,'N2M0W6'),(234,'N2M2R4'),(388,'N2P3P4'),(571,'N2R4B6'),(378,'N2R8X2'),(292,'N3C5R8'),(648,'N3S3F7'),(859,'N3T9R7'),(799,'N3X9X2'),(241,'N3Z1R3'),(869,'N4C9K8'),(552,'N4K2J1'),(931,'N4P3H4'),(30,'N4T9X1'),(306,'N4V0S8'),(969,'N5D5R9'),(84,'N5W5Z1'),(650,'N6C9L7'),(174,'N6M0J3'),(354,'N6M8J6'),(609,'N6V6V3'),(925,'N6X1C8'),(150,'N7B1P3'),(277,'N7B5W6'),(919,'N7C0W1'),(917,'N7G0Z9'),(264,'N7L6W3'),(539,'N7N8Q1'),(243,'N7V4H3'),(782,'N7W1J9'),(762,'N8G0R1'),(956,'N8J3P8'),(747,'N8Q3X4'),(749,'N8R0Q0'),(806,'N8X6B4'),(862,'N9B7T8'),(427,'N9J7F9'),(104,'N9S3F1'),(658,'N9Z6W4'),(449,'P0N5R3'),(308,'P0P9T0'),(64,'P0X5G2'),(781,'P0Z4P2'),(490,'P1K6J0'),(506,'P1M6L5'),(276,'P1P1L9'),(206,'P1P9X2'),(2,'P1V5R0'),(794,'P1W5D6'),(805,'P1W5H8'),(72,'P1W7M4'),(74,'P2F3B3'),(774,'P2F7N8'),(321,'P2Q0G7'),(66,'P2T4M9'),(910,'P3H4G4'),(448,'P3P5Z8'),(972,'P3R0T3'),(524,'P4B9D5'),(979,'P4F2Q3'),(190,'P4G8L3'),(401,'P4H4B8'),(960,'P4J1L8'),(807,'P4J3D1'),(526,'P4V1M6'),(224,'P5L0Q9'),(777,'P5L2J3'),(244,'P5P5K1'),(113,'P5W0G5'),(38,'P6D2B2'),(637,'P6K7F2'),(298,'P7B9Q6'),(753,'P7D7V1'),(453,'P7G2D7'),(921,'P7M2C3'),(746,'P8J7H6'),(473,'P8L2Q5'),(723,'P8M4Z0'),(223,'P8Z5S6'),(78,'P9G2B9'),(236,'P9G8L3'),(590,'P9J0V0'),(739,'P9K8N7'),(687,'P9N6F9'),(69,'P9P1N1'),(393,'P9Q2K0'),(220,'Q0D9R3'),(878,'Q0F3S8'),(425,'Q0H3P3'),(339,'Q0Q7G5'),(34,'Q0T2X0'),(267,'Q0X2L5'),(1000,'Q0X5L0'),(946,'Q0Z3Z4'),(395,'Q1B1D6'),(668,'Q1K3N3'),(708,'Q1T2S2'),(136,'Q1X1H7'),(320,'Q2H8V3'),(138,'Q2K5S1'),(456,'Q2N6S6'),(564,'Q3C3M8'),(725,'Q3S6V2'),(127,'Q3V5Q0'),(89,'Q3W1Z1'),(380,'Q4C9Z6'),(351,'Q4F7D1'),(750,'Q4M2T1'),(533,'Q4P3Z3'),(813,'Q4R8C5'),(228,'Q4W4P5'),(47,'Q5B4P0'),(943,'Q5L5Z3'),(983,'Q5S4G9'),(118,'Q6B0G4'),(143,'Q6C6K7'),(221,'Q6G9F8'),(769,'Q6R5D1'),(46,'Q6S6W8'),(200,'Q6Z3J9'),(265,'Q7B6W5'),(811,'Q7D2K1'),(219,'Q7N3M8'),(701,'Q7R7Q2'),(122,'Q8N3V0'),(555,'Q8R4Q8'),(905,'Q8X8D1'),(123,'Q8Z3W2'),(976,'R0D8T8'),(491,'R0G1C5'),(418,'R0M3B2'),(478,'R0M8Z1'),(788,'R0P2G2'),(237,'R0P4Q7'),(409,'R0R7Q6'),(9,'R1D3Z2'),(128,'R1J0C7'),(962,'R1Q0K7'),(434,'R1V1W8'),(156,'R2M6K8'),(420,'R3B3R0'),(645,'R3D0G2'),(168,'R3N5V3'),(463,'R3P5C3'),(438,'R3P7C3'),(704,'R4K0P7'),(275,'R5B7V2'),(625,'R5H7G4'),(257,'R5M7G2'),(26,'R5P7P6'),(10,'R5W7Q1'),(589,'R5X3N5'),(454,'R5Z3F0'),(518,'R6F3S2'),(120,'R6F4V5'),(505,'R6K6S9'),(251,'R6X0C9'),(525,'R6X9B0'),(885,'R6Z5R4'),(832,'R7C8N3'),(894,'R7D8N1'),(408,'R7G2V4'),(259,'R7H3X2'),(855,'R7K3M8'),(950,'R7K4T1'),(578,'R7N7W2'),(116,'R7W1G2'),(469,'R7X4F3'),(755,'R8J3K1'),(903,'R8N8N5'),(231,'R8N9B3'),(618,'R8Q3J4'),(838,'R8S1Z2'),(681,'R8W1R7'),(204,'R8X5B0'),(16,'R8Z0H4'),(152,'R9C1L5'),(916,'R9F7B4'),(954,'R9Q5K5'),(239,'R9S5L8'),(599,'R9S6R1'),(225,'S0H6H7'),(567,'S0L2Q7'),(296,'S0M9V1'),(868,'S0P3X8'),(48,'S0P9C6'),(779,'S0T4S1'),(886,'S0Z7P4'),(98,'S1L1G3'),(442,'S2H5L7'),(657,'S2J3X2'),(653,'S2K5S2'),(542,'S2W4C4'),(435,'S3K0G0'),(780,'S3N9M7'),(816,'S3P3T4'),(881,'S3R9B2'),(642,'S3S3M5'),(149,'S3Z3C5'),(554,'S4D2L9'),(759,'S4D4P2'),(721,'S4N1V3'),(467,'S4V1B3'),(734,'S4W0H6'),(283,'S5D4N5'),(472,'S5N8Q9'),(101,'S5Z5M4'),(189,'S6B3T8'),(967,'S6C0P0'),(670,'S6C6N3'),(334,'S6V4H9'),(349,'S6W8C4'),(360,'S6Z3Z6'),(486,'S7M6D3'),(906,'S7P5C4'),(208,'S8B4G7'),(532,'S8C8J7'),(678,'S8F8X2'),(817,'S8L1P8'),(75,'S8L7R8'),(857,'S8M7M3'),(783,'S8M7N6'),(429,'S8N0K8'),(577,'S8T8G1'),(29,'S9B8W4'),(240,'S9D7J0'),(928,'S9F7B8'),(809,'S9H5M8'),(15,'S9R4C3'),(694,'T0B5S2'),(212,'T0B9C8'),(1,'T0D7G4'),(757,'T0F7H0'),(379,'T0H0H7'),(362,'T0J7L4'),(834,'T0V3L8'),(97,'T1B8T8'),(73,'T1Q8Q8'),(727,'T1R6W2'),(394,'T1X7V1'),(193,'T2G9Q4'),(446,'T2H9C3'),(540,'T2L3J1'),(607,'T2N4L8'),(867,'T2P9S1'),(256,'T2T3R6'),(952,'T2T5H1'),(830,'T3C2R2'),(182,'T3G9J9'),(987,'T3N5M3'),(424,'T4F0D3'),(323,'T4N3V5'),(845,'T4P0R4'),(666,'T4P2G1'),(20,'T4P9G8'),(786,'T4T7X3'),(286,'T4W7J2'),(465,'T5B8F2'),(216,'T5F2W4'),(346,'T5H7Q1'),(141,'T5P3S8'),(50,'T5R2Z6'),(644,'T5X0W1'),(210,'T6D4C5'),(737,'T6F9F5'),(397,'T6X8Q3'),(852,'T7D4Q0'),(160,'T7M2M2'),(923,'T8L5H3'),(315,'T8N1X1'),(883,'T8T9D2'),(229,'T8X3N0'),(980,'T9D9S1'),(60,'T9F1T3'),(974,'T9N9H5'),(390,'T9S8R7'),(112,'V0D7T9'),(76,'V0K8V3'),(547,'V0Q1R4'),(661,'V0R0C6'),(188,'V0T2K4'),(738,'V0V5S4'),(904,'V0W0T5'),(587,'V1C2D0'),(926,'V1D7B3'),(345,'V1G4M9'),(376,'V1H9N6'),(503,'V1M8B3'),(431,'V1R0W6'),(309,'V1R9F2'),(203,'V1S5T9'),(615,'V1V8W1'),(941,'V1X2M5'),(797,'V2C5T8'),(290,'V2D6J0'),(18,'V2J5N0'),(433,'V2J5W3'),(949,'V2P9C3'),(475,'V2R3C1'),(939,'V3H4D9'),(876,'V3T9J4'),(235,'V3W3T8'),(37,'V3W5R3'),(588,'V3X5L7'),(4,'V3Z8G2'),(892,'V4G9N6'),(836,'V4P4T5'),(633,'V4S4C8'),(289,'V4V0G4'),(497,'V5J6T1'),(569,'V5N3F1'),(195,'V5T1N5'),(480,'V5Z9S6'),(142,'V6B8X8'),(803,'V7B4C3'),(626,'V7G3P5'),(674,'V7G5R2'),(5,'V7J9M4'),(548,'V7M4P6'),(751,'V7M9H6'),(968,'V7V6T7'),(955,'V8C3F6'),(455,'V8M2S4'),(559,'V8Z5Q3'),(166,'V9C3Z0'),(596,'V9C5K4'),(846,'V9C5Q9'),(287,'V9F4C0'),(909,'V9X6Z5'),(819,'W0B3L2'),(129,'W0D3X7'),(651,'W0F7B8'),(285,'W0G4K5'),(693,'W0P8T9'),(713,'W0R9S0'),(56,'W0S1B1'),(699,'W0T9Z6'),(656,'W0W1G0'),(327,'W1G3M2'),(768,'W1H2L3'),(733,'W1H2P1'),(109,'W1Z3V9'),(86,'W2D5Q3'),(324,'W2G0R2'),(971,'W2M4D3'),(675,'W2Q5H6'),(464,'W2Q6Z0'),(110,'W2Q9L7'),(301,'W2T3M2'),(523,'W2T7S2'),(582,'W2Z8G6'),(614,'W3F9P3'),(560,'W4J9H6'),(676,'W4V4H0'),(319,'W4Z7D2'),(970,'W4Z8G5'),(507,'W5B4N6'),(575,'W5Z3J8'),(860,'W5Z8R0'),(764,'W6J8N5'),(194,'W6M5P0'),(159,'W6N7C7'),(991,'W6Z2L3'),(205,'W7C9H1'),(900,'W7F2P1'),(826,'W7K3T7'),(508,'W7R5R7'),(828,'W7S8Z3'),(996,'W8B0C7'),(613,'W8B3Z9'),(961,'W8K3V6'),(367,'W8P4M7'),(667,'W8S0P8'),(33,'W8W3W5'),(131,'W9D9K3'),(927,'W9F5N5'),(501,'W9G4D1'),(865,'W9S5S0'),(566,'W9W9D6'),(922,'X0B0M1'),(516,'X0L5J1'),(999,'X0N6G2'),(19,'X0Q7P8'),(305,'X0S8Q6'),(43,'X1M4H9'),(696,'X1Q3T6'),(271,'X1S5N9'),(400,'X1X9H1'),(126,'X1Z7K4'),(719,'X2B2C9'),(177,'X2C4J8'),(636,'X2K9N8'),(214,'X2N4X1'),(866,'X2R6P6'),(654,'X2R9J2'),(870,'X2T2Q3'),(7,'X2T7Z8'),(291,'X3H4M9'),(262,'X3J2C4'),(712,'X3R2T8'),(105,'X3R5R4'),(183,'X4H1M3'),(502,'X4H4Z1'),(488,'X4M4N4'),(22,'X4M6Z3'),(617,'X4W7B4'),(621,'X5M7S3'),(232,'X5S3Z0'),(998,'X6C2W4'),(415,'X6J7G0'),(167,'X6K5B2'),(544,'X6N5F9'),(802,'X6Q9W5'),(840,'X6T6M1'),(326,'X7K3L8'),(730,'X7N1H6'),(879,'X7Q6T1'),(207,'X8T3G1'),(597,'X8T3W8'),(250,'X9B0M9'),(585,'X9L2P0'),(677,'X9Q4M0'),(792,'X9S1V4'),(211,'X9V3D6'),(414,'X9X0B4'),(863,'Z0G6Q0'),(489,'Z1F7Q9'),(915,'Z1K2B0'),(383,'Z1Q8G9'),(982,'Z1W5H5'),(850,'Z2C3S6'),(801,'Z2F0J4'),(352,'Z2G0J1'),(602,'Z2R0L0'),(888,'Z2T1C2'),(443,'Z2X3S3'),(854,'Z2Z0C4'),(895,'Z3C7P3'),(535,'Z3J6X6'),(399,'Z3M8Z2'),(556,'Z3N5N9'),(873,'Z3Q7B0'),(697,'Z3R2M5'),(605,'Z3T0K4'),(773,'Z4D1F7'),(59,'Z4D7K4'),(827,'Z4J3Q0'),(663,'Z4K6R3'),(959,'Z4K7P2'),(635,'Z4K9V2'),(303,'Z4L3M3'),(377,'Z4L7Q9'),(509,'Z4T6Z3'),(912,'Z5B6C6'),(496,'Z5C7X7'),(45,'Z5D6R3'),(330,'Z5R6V2'),(702,'Z5S5F9'),(953,'Z5X6T8'),(691,'Z5X8D7'),(990,'Z6C1N6'),(333,'Z6C5V8'),(355,'Z6G2H9'),(778,'Z6J9R8'),(913,'Z6K4D5'),(288,'Z6M0Z5'),(335,'Z6P0M9'),(600,'Z6V8M9'),(307,'Z6Z6G8'),(90,'Z7G5T4'),(13,'Z7J6N5'),(511,'Z7K9D0'),(798,'Z8R5H4'),(99,'Z9J9X2'),(824,'Z9P1R6');
/*!40000 ALTER TABLE `tracking_code` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user` (
  `login` varchar(200) NOT NULL COMMENT 'Utilizado para fazer login',
  `email` varchar(150) NOT NULL,
  `password` varchar(250) NOT NULL,
  `create_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `api_token` varchar(200) DEFAULT NULL COMMENT 'Token para autenticação via API',
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_UN_login` (`login`),
  UNIQUE KEY `user_UN_email` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb3 COMMENT='Cadastro de usuários';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` VALUES ('jung','jung@jung.com.br','BANANA','2023-02-13 10:59:26',1,1,'Jung Admin',NULL),('william','william@willcode.tech','banana','2023-02-15 11:56:36',1,3,'William Gustavo Marquetti',NULL),('william_2','william@willcode.tech2','9427925f352c98643575d9fa94eef376','2023-02-15 12:11:53',1,5,'William Gustavo Marquetti',NULL),('teste','email@exemplo.com','fc94908aacc4ee5f5628b0fda5cb487f','2023-02-15 13:24:35',1,9,'William Gustavo Marquetti','69c056d40ca6f4e6d21d4c6ff9d3b7ae');
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_permission`
--

DROP TABLE IF EXISTS `user_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NOT NULL,
  `permission_id` int NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_permission_FK` (`user_id`),
  KEY `user_permission_FK_1` (`permission_id`),
  CONSTRAINT `user_permission_FK` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`),
  CONSTRAINT `user_permission_FK_1` FOREIGN KEY (`permission_id`) REFERENCES `permission` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb3 COMMENT='Relacionamento de usuário com permissões';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_permission`
--

LOCK TABLES `user_permission` WRITE;
/*!40000 ALTER TABLE `user_permission` DISABLE KEYS */;
INSERT INTO `user_permission` VALUES (1,9,6),(2,9,7),(3,9,8),(4,9,9),(5,9,2),(6,9,3),(7,9,4);
/*!40000 ALTER TABLE `user_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'cr_gestao'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-03-09 15:41:28
