<?php // body Api file

  $Body = new Body();
  switch ( $_SERVER['REQUEST_METHOD'] ){
    case "GET":
      switch ( $_REQUEST['action'] ){
        case "get_form":
          $mode = ( isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "create" );
          ApiHelper::json_return(Body::get_form($mode));
          break;

        case "get_form_tracking_code":
          $mode = ( isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "create" );
          ApiHelper::json_return(Body::get_form_tracking_code($mode));
          break;

        case "list":
          Auth::has_permission($permission_code = "body_list", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          if ( !isset($_REQUEST["limit"]) || empty($_REQUEST["limit"]) )
            $_REQUEST["limit"] = 1000;

          ApiHelper::json_return($Body->list($_REQUEST));          
          break;
        
        case "list_datatable":
          Auth::has_permission($permission_code = "body_list", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          $_REQUEST['ignore_fields'] = ["create_date", "password", "api_token"];
          if ( !isset($_REQUEST["limit"]) || empty($_REQUEST["limit"]) )
            $_REQUEST["limit"] = 1000;

          ApiHelper::json_return($Body->get_datatable_list($Body->list($_REQUEST)));          
          break;

        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

    case "POST":
      switch ( $_REQUEST['action'] ){
        case "create":            
          Auth::has_permission($permission_code = "body_create", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          Helper::validate_form(Body::get_form("create"), $_REQUEST, $bypass_required = ["id", "tracking_code"]);
          
          $Body->to_object(["data" => $_POST]);
          $new_data = $Body->create();

          $return = [
            "type" => "ok",
            "message" => "Processo criado com sucesso! Id: {$new_data}",
            "id" => $new_data,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => "Processo criado com sucesso! Id: {$new_data}",]
          ];
          ApiHelper::json_return($return);
          break;

        case "edit":
          Auth::has_permission($permission_code = "body_edit", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          Helper::validate_form(Body::get_form(), $_POST, $bypass_required = []);
         
          $body = $Body->list(["id" => $_POST['id']]);
          if ( !$body )
            throw new NotFoundException("Processo id: {$_POST['id']}  não encontrada ");
          
          $Body->to_object(["id" => $_POST['id'], "data" => $_POST]);
          $new_data = $Body->edit();
          $return = [
            "type" => "ok",
            "message" => "Processo id: {$body[0]['id']} editado com sucesso",
            "id" => $_POST['id'],
            "POST" => $_POST,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => "Processo id: {$body[0]['id']} editado com sucesso",]
          ];
          ApiHelper::json_return($return);
          break;

        case "add_tracking":
          Helper::validate_form(Body::get_form_tracking_code(), $_POST, $bypass_required = ["company"]);

          $TrackingCode = new TrackingCode();
          $tracking_code = $TrackingCode->list(["code" => $_POST['tracking_code'], "limit" => 1]);
          if ( !$tracking_code )
            throw new NotFoundException("Código de rastreabilidade {$_POST['tracking_code']} não encontrado");

          $body = $Body->list(["id" => $_POST['id']]);
          if ( !$body )
            throw new NotFoundException("Pocesso id {$_POST['id']} não encontrado");

          if ( !empty($body[0]['tracking_code_id']) )
            throw new Exception("Processo já possui um código de rastreablidade vinculado, não é possível alterar");

          $body_data = json_decode($body[0]['data'], true);
          if ( !isset($body_data['company']) )
            throw new NotFoundException("Processo não possui Empreendimento vinculado, impossível vincular a rastreabilidade");

          $Company = new Company();
          $company = $Company->list(["id" => $body_data['company'], "limit" => 1]);
          if ( !$company )
            throw new NotFoundException("Empreendimento {$body_data['company']} não encontrado ");

          $CompanyTrackingCode = new CompanyTrackingCode();
          $company_tracking_code = $CompanyTrackingCode->list(["company_id" => $company[0]['id'], "tracking_code_id" => $tracking_code[0]['id']]);
          if ( !$company_tracking_code )
          throw new NotFoundException("Código de Rastreabilidade {$tracking_code[0]['code']} inválido");

          if ( !$company_tracking_code[0]['available'] )
            throw new Exception("Código de Rastreabilidade  {$tracking_code[0]['code']} já foi utilizado");

          $CompanyTrackingCode->mark_as_used($company_tracking_code[0]['id']);
          $Body->add_tracking_code($body[0]['id'], $tracking_code[0]['id']);
          $return = [
            "type" => "ok",
            "message" => "Processo id: {$body[0]['id']} vinculado ao código de rastreamento {$tracking_code[0]['code']}",
            "id" => $_POST['id'],
            "POST" => $_POST,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => "Processo id: {$body[0]['id']} vinculado ao código de rastreamento {$tracking_code[0]['code']}"]
          ];
          ApiHelper::json_return($return);
          break;

        case "delete":
          Auth::has_permission($permission_code = "body_delete", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          if ( !isset($_POST['id']) || empty($_POST['id']) )
            throw new FormException("Id não informado, impossível realizar operação");

          $body = $Body->list(["id" => $_POST['id']]);
          if ( !$body )
            throw new NotFoundException("Processo id: {$_POST['id']}  não encontrado ");
          
          $details = json_decode($body[0]['data'], true);
          $Body->to_object($_POST);
          $new_data = $Body->delete($_POST['id']);
          $message = "Processo {$body[0]['id']} - {$details['name']} excluído com sucesso";
          $return = [
            "type" => "ok",
            "message" => $message,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => $message ],
            "id" => $_POST['id'],
          ];
          ApiHelper::json_return($return);
          break;
  

        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

    case "GET":
      break;
  }