<?php // Company Api file

  $Company = new Company();
  switch ( $_SERVER['REQUEST_METHOD'] ){
    case "GET":
      switch ( $_REQUEST['action'] ){
        case "get_form":
          $mode = ( isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "create" );
          ApiHelper::json_return(Company::get_form($mode));
          break;

        case "list":
          Auth::has_permission($permission_code = "company_list", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          if ( !isset($_REQUEST["limit"]) || empty($_REQUEST["limit"]) )
            $_REQUEST["limit"] = 1000;

          ApiHelper::json_return($Company->list($_REQUEST));          
          break;
        
        case "list_datatable":
          Auth::has_permission($permission_code = "company_list", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          $_REQUEST['ignore_fields'] = ["create_date", "password", "api_token"];
          if ( !isset($_REQUEST["limit"]) || empty($_REQUEST["limit"]) )
            $_REQUEST["limit"] = 1000;

          ApiHelper::json_return($Company->get_datatable_list($Company->list($_REQUEST)));          
          break;

        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

    case "POST":
      switch ( $_REQUEST['action'] ){
        case "create":            
          Auth::has_permission($permission_code = "company_create", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          Helper::validate_form(Company::get_form("create"), $_REQUEST, $bypass_required = ["id",]);
          
          $Company->to_object($_POST);

          $new_data = $Company->create();
          $message = "Empreendimento criado com sucesso! Id: {$new_data}";
          $return = [
            "type" => "ok",
            "message" => $message,
            "id" => $new_data,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => $message,]
          ];
          ApiHelper::json_return($return);
          break;

        case "edit":
          Auth::has_permission($permission_code = "company_edit", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          Helper::validate_form(Company::get_form(), $_POST, $bypass_required = []);
         
          $company = $Company->list(["id" => $_POST['id']]);
          if ( !$Company )
            throw new NotFoundException("Empreendimento id: {$_POST['id']}  não encontrada ");
          
          $Company->to_object($_POST);
          $new_data = $Company->edit();
          $message = "Empreendimento id: {$company[0]['id']} editado com sucesso";
          $return = [
            "type" => "ok",
            "message" => $message,
            "id" => $_POST['id'],
            "POST" => $_POST,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => $message,]
          ];
          ApiHelper::json_return($return);
          break;

        case "delete":
          Auth::has_permission($permission_code = "company_delete", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          if ( !isset($_POST['id']) || empty($_POST['id']) )
            throw new FormException("Id não informado, impossível realizar operação");

          $company = $Company->list(["id" => $_POST['id']]);
          if ( !$Company )
            throw new NotFoundException("Empreendimento id: {$_POST['id']}  não encontrado ");
          
          $Company->to_object($_POST);
          $new_data = $Company->delete($_POST['id']);
          $message = "Empreendimento {$company[0]['id']} - {$company[0]['name']} excluído com sucesso";
          $return = [
            "type" => "ok",
            "message" => $message,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => $message ],
            "id" => $_POST['id'],
          ];
          ApiHelper::json_return($return);
          break;
  

        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

    case "GET":
      break;
  }