<?php // CompanyTrackingCode Api file

  $CompanyTrackingCode = new CompanyTrackingCode();
  switch ( $_SERVER['REQUEST_METHOD'] ){
    case "GET":
      switch ( $_REQUEST['action'] ){
        case "get_form":
          $mode = ( isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "create" );
          ApiHelper::json_return(CompanyTrackingCode::get_form($mode));
          break;

        case "get_form_transfer":
          $mode = ( isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "create" );
          ApiHelper::json_return(CompanyTrackingCode::get_form_transfer($mode));
          break;

        case "list":
          Auth::has_permission($permission_code = "company_list", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          if ( !isset($_REQUEST["limit"]) || empty($_REQUEST["limit"]) )
            $_REQUEST["limit"] = 1000;

          ApiHelper::json_return($CompanyTrackingCode->list($_REQUEST));          
          break;
        
        case "list_datatable":
          Auth::has_permission($permission_code = "company_list", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          $_REQUEST['ignore_fields'] = ["create_date", "password", "api_token"];
          if ( !isset($_REQUEST["limit"]) || empty($_REQUEST["limit"]) )
            $_REQUEST["limit"] = 1000;

          ApiHelper::json_return($CompanyTrackingCode->get_datatable_list($CompanyTrackingCode->list($_REQUEST)));          
          break;

        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

    case "POST":
      switch ( $_REQUEST['action'] ){
        case "create":            
          Auth::has_permission($permission_code = "company_create", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          Helper::validate_form(CompanyTrackingCode::get_form("create"), $_REQUEST, $bypass_required = ["id",]);
          
          $TrackingCode = new TrackingCode();
          $tracking_code = $TrackingCode->list(["id" => $_POST['tracking_code_id'], "limit" => 1 ]);
          if ( !$tracking_code )
            throw new NotFoundException("Código de rastreabilidade {$_POST['tracking_code_id']} não encontrado");
            
          $company_tracking_code = $CompanyTrackingCode->list_details(["tracking_code_id" => $_POST['tracking_code_id'], "company_id" => $_POST['company_id']]);
          if ( $company_tracking_code )
            throw new Exception("Código de rastreabilidade {$_POST['tracking_code_id']} já está vinculado a um empreendimento");

          $CompanyTrackingCode->to_object($_POST);

          $new_data = $CompanyTrackingCode->create();
          $message = "Vínculo criado com sucesso! Id: {$new_data}";
          $return = [
            "type" => "ok",
            "message" => $message,
            "id" => $new_data,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => $message,]
          ];
          ApiHelper::json_return($return);
          break;

        case "delete":
          Auth::has_permission($permission_code = "company_delete", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          if ( !isset($_POST['id']) || empty($_POST['id']) )
            throw new FormException("Id não informado, impossível realizar operação");

          $company = $CompanyTrackingCode->list(["id" => $_POST['id']]);
          if ( !$CompanyTrackingCode )
            throw new NotFoundException("Vínculo id: {$_POST['id']}  não encontrado ");
          
          $CompanyTrackingCode->to_object($_POST);
          $new_data = $CompanyTrackingCode->delete($_POST['id']);
          $message = "Vínculo {$company[0]['id']} - {$company[0]['name']} excluído com sucesso";
          $return = [
            "type" => "ok",
            "message" => $message,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => $message ],
            "id" => $_POST['id'],
          ];
          ApiHelper::json_return($return);
          break;
  
        case "transfer":
          Auth::has_permission($permission_code = "company_edit", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          Helper::validate_form(CompanyTrackingCode::get_form_transfer(), $_POST, $bypass_required = []);
         
          /**/
          $company_tracking_code = $CompanyTrackingCode->list_details(["tracking_code_id" => $_POST['tracking_code_id'], "company_id" => $_POST['company_id_from']]);
          if ( !$company_tracking_code )
            throw new NotFoundException("Código de rastreabilidade {$_POST['tracking_code_id']} não encontrado");
          
          if ( !$company_tracking_code[0]['available'] )
            throw new NotFoundException("Código de rastreabilidade {$_POST['tracking_code_id']} já foi utilizado, não é possível transferir");

          $CompanyTrackingCode->transfer($_POST);
          $company_tracking_code_transfer = $CompanyTrackingCode->list_details(["tracking_code_id" => $_POST['tracking_code_id'], "company_id" => $_POST['company_id_to']]);

          $message = "Código de Rastreabilidade {$_POST['tracking_code_id']} <br>
            transferido de {$company_tracking_code[0]['company_name']} 
            <br> para {$company_tracking_code_transfer[0]['company_name']}  com sucesso";
          $return = [
            "type" => "ok",
            "message" => $message,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => $message ],
            "id" => $_POST['id'],
          ];
          ApiHelper::json_return($return);
          break;

        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

    case "GET":
      break;
  }