<?php // permission Api file

  $Permission = new Permission();
  switch ( $_SERVER['REQUEST_METHOD'] ){
    case "GET":
      switch ( $_REQUEST['action'] ){
        case "get_form":
          $mode = ( isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "create" );
          ApiHelper::json_return(Permission::get_form($mode));
          break;

        case "list":
          Auth::has_permission($permission_code = "permission_list", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          if ( !isset($_REQUEST["limit"]) || empty($_REQUEST["limit"]) )
            $_REQUEST["limit"] = 1000;

          ApiHelper::json_return($Permission->list($_REQUEST));          
          break;
        
        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

    case "POST":
      switch ( $_REQUEST['action'] ){
        case "create":            
          Auth::has_permission($permission_code = "permission_create", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          Helper::validate_form(Permission::get_form(), $_POST, $bypass_required = ["id"]);
          $Permission->to_object($_POST);
          $new_data = $Permission->create();

          $return = [
            "type" => "ok",
            "message" => "Permissão criada com sucesso! Id: {$new_data}",
            "id" => $new_data,
          ];
          ApiHelper::json_return($return);
          break;

        case "edit":
          Auth::has_permission($permission_code = "permission_edit", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          Helper::validate_form(Permission::get_form(), $_POST, $bypass_required = []);
          $permission = $Permission->list(["id" => $_POST['id']]);
          if ( !$permission )
              throw new NotFoundException("Permissão id: {$_POST['id']}  não encontrada ");

          $Permission->to_object($_POST);
          $new_data = $Permission->edit();
          $return = [
            "type" => "ok",
            "message" => "Permissão editada id: {$_POST['id']} com sucesso",
            "id" => $_POST['id'],
          ];
          ApiHelper::json_return($return);
          break;

        case "delete":
          Auth::has_permission($permission_code = "permission_delete", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          Helper::validate_form(Permission::get_form(), $_POST, $bypass_required = []);
          $permission = $Permission->list(["id" => $_POST['id']]);
          if ( !$permission )
            throw new NotFoundException("Permissão id: {$_POST['id']}  não encontrada ");

          $Permission->to_object($_POST);
          $new_data = $Permission->delete($_POST['id']);
          $return = [
            "type" => "ok",
            "message" => "Permissão {$permission[0]['id']} - {$permission[0]['description']} ecluída com sucesso",
            "id" => $_POST['id'],
          ];
          ApiHelper::json_return($return);
          break;

        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

    case "GET":
      break;
  }