<?php // TrackingCode Api file

  $TrackingCode = new TrackingCode();
  switch ( $_SERVER['REQUEST_METHOD'] ){
    case "GET":
      switch ( $_REQUEST['action'] ){
        case "get_form":
          $mode = ( isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "create" );
          ApiHelper::json_return(Company::get_form($mode));
          break;

        case "list":
          Auth::has_permission($permission_code = "company_list", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          if ( !isset($_REQUEST["limit"]) || empty($_REQUEST["limit"]) )
            $_REQUEST["limit"] = 1000;

          ApiHelper::json_return($Company->list($_REQUEST));          
          break;
        
        case "list_datatable":
          Auth::has_permission($permission_code = "company_list", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          $_REQUEST['ignore_fields'] = ["create_date", "password", "api_token"];
          if ( !isset($_REQUEST["limit"]) || empty($_REQUEST["limit"]) )
            $_REQUEST["limit"] = 1000;

          ApiHelper::json_return($Company->get_datatable_list($Company->list($_REQUEST)));          
          break;

        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

    case "POST":
      switch ( $_REQUEST['action'] ){
        case "mark":
          
          if ( !isset($_POST['id']) || empty($_POST['id']) )
            throw new FormException("Identificador não informado, impossível realizar marcação");

          $tracking_code = $TrackingCode->list(["id" => $_POST['id']]);
          if ( !$tracking_code )
            throw new NotFoundException("Código de Rastreabilidade não encontrado");

          //Auth::has_permission($permission_code = "company_create", $user_id = $_SESSION['auth']['user_id'], $throw_exception = true );
          
          $new_data = $TrackingCode->mark_as($_POST['id'], $_POST['mark']);
          $message = "Aleração realizada com sucesso!";
          $return = [
            "type" => "ok",
            "message" => $message,
            "id" => $new_data,
            "popup" => ["type" => "success", "title" => "Tudo certo!", "text" => $message,]
          ];
          ApiHelper::json_return($return);
          break;

        default:
          throw new ApiException("Ação inválida");
          break;
      }
      break;

    case "GET":
      break;
  }