<?php

  // base dir path (where source files are stored)
  define("BASE_DIR", "/var/www/html/jung_air/");
  $include_path_list = [
    BASE_DIR . "includes",
    BASE_DIR . "includes/classes",
    BASE_DIR . "includes/api",
  ]; 

  // creating base dir configurations 
  $include_path_string = implode(":", $include_path_list);
  set_include_path($include_path_string);


  define("TEMPLATES_DIR", BASE_DIR . "/includes/html/templates/");

  // error log file lcation 
  ini_set("error_log", BASE_DIR . "logs/error.log");

  // autoload classes
  spl_autoload_register(function ($class_name) {
    include $class_name . '.php';
  });

  // used as parameter for user password creation, changing this will invalidate all users passwords
  define('PW_SALT', 'soh*eu*sei!');

  // used as parameter for api token creation, changing this will invalidate all api tokens
  define('API_TOKEN_SALT', 'T0k3n*4p1!');

  // database connection settings
  $db_config = [ 
    "SERVER" => "MYSQL", // server type 
    "DB" => "cr_gestao", // database name
    "HOST" => "localhost", // database host (dsn or ip)
    "PORT" => 1366,
    "USER" => "portal", // database user ( create, update, delete and insert permissions required )
    "PASSWORD" => "0666", // database password 
    "CHARSET" => "utf8",
  ];
  define("DB_CONFIG", $db_config);

  session_start();

  /*
    Default includes and other requirements
  */
  include_once("CustomExceptions.php");
  $Crud = new Crud();