<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Hugo 0.108.0">
    <title>Empreendimento - Códigos de Rasreabilidade</title>
    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" type="text/css" href="/assets/plugins/datatables/datatables.min.css"/>
    <link rel="stylesheet" type="text/css" href="/assets/plugins/bootstrap5/css/bootstrap.min.css"/>
    <link rel="stylesheet" type="text/css" href="/assets/plugins/sweetalert2/sweetalert2.min.css"/>
    <meta name="theme-color" content="#712cf9">
    <style>
      .modal-lg, .modal, .modal-dialog{
      min-width: 90% !important;
      max-width: 90% !important;
      }
      .rotate-90 {
        transform: rotate(90deg);
      }
    </style>
    <!-- Custom styles for this template -->
    <link href="/assets/css/dashboard.css" rel="stylesheet">
  </head>
  <body style="background-color: #eff3f9;">
    <header class="navbar navbar-dark sticky-top bg-secondary flex-md-nowrap p-0 shadow">
    <a class="navbar-brand col-md-3 col-lg-2 me-0 px-3 fs-6" href="#">JUNG - Painel de Gestão   <small>modo de demonstração</small></a>
      <button class="navbar-toggler position-absolute d-md-none collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#sidebarMenu" aria-controls="sidebarMenu" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
      </button>
    </header>
    <div class="container-fluid">
      <div class="row">
        <nav id="sidebarMenu" class="col-md-3 col-lg-2 d-md-block sidebar collapse" style="background-color: #eff3f9;">
          <!-- Dynamic menu will be appended here -->
        </nav>
        <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
          <div class="row">
            <div class="col-12">
              <h2>
                Lista de Códigos de Rastreabilidade
                <a href="#" class="btn btn-sm bg-secondary text-white" id="btn_create" >Adicionar</a>
              </h2>
              <div class="">
              
              </div>
              <br>
              <br>
              <hr>
            </div>
          </div>
        </main>
      </div>
    </div>
    <script type="text/javascript" src="/assets/plugins/bootstrap5/js/bootstrap.bundle.min.js"></script>
    <script type="text/javascript" src="/assets/plugins/datatables/datatables.min.js"></script>
    <script type="text/javascript" src="/assets/plugins/sweetalert2/sweetalert2.min.js"></script>
    <script type="text/javascript" src="/assets/js/controller/html.js"></script>
<script type="text/javascript" src="/assets/js/app.js"></script>
<!-- Icons 
 <script src="https://unpkg.com/feather-icons/dist/feather.min.js"></script>
 -->
<script src="/assets/plugins/feather/feather.js"></script>
<script>
var menuData = [
    {
      "title": "Processos",
      "icon": "home",
      "link": "/process"
    },
    {
      "title": "Cadastros",
      "icon": "plus-square",
      "subItems": [
        {
          "title": "Empresas",
          "link": "/company/"
        },
        {
          "title": "Códigos",
          "link": "/company/tracking_code/"
        }
      ]
    },
    {
      "title": "Códigos de Rastreabilidade",
      "icon": "users",
      "link": "/company/tracking_code/"
    }
];

function createMenu(menuData) {
  var menuList = document.createElement("ul");
  menuList.classList.add("nav", "flex-column");

  menuData.forEach(function (menuItem) {
    var navItem = document.createElement("li");
    navItem.classList.add("nav-item");

    var navItemWrapper = document.createElement("div");
    navItemWrapper.classList.add("nav-item-wrapper");

    var navLink = document.createElement("a");
    navLink.classList.add("nav-link");
    navLink.href = menuItem.link || "#";

    if (menuItem.icon) {
      var icon = document.createElement("span");
      icon.setAttribute("data-feather", menuItem.icon);
      icon.classList.add("align-text-bottom");
      navLink.appendChild(icon);
    }

    if (menuItem.title) {
      var titleText = document.createTextNode(" " + menuItem.title);
      navLink.appendChild(titleText);
    }

    navItemWrapper.appendChild(navLink);

    if (menuItem.subItems) {
      navLink.onclick = function (event) {
        toggleSubMenu(event, navItem);
      };
      var arrowIcon = document.createElement("span");
      arrowIcon.setAttribute("data-feather", "chevron-right");
      arrowIcon.classList.add("align-text-bottom", "ms-2");
      navLink.appendChild(arrowIcon);

      var subMenuList = document.createElement("ul");
      subMenuList.classList.add("nav", "flex-column", "d-none");
      subMenuList.style.marginLeft = "1rem";

      menuItem.subItems.forEach(function (subItem) {
        var subNavItem = document.createElement("li");
        subNavItem.classList.add("nav-item");

        var subNavLink = document.createElement("a");
        subNavLink.classList.add("nav-link");
        subNavLink.href = subItem.link;
        subNavLink.textContent = subItem.title;

        subNavItem.appendChild(subNavLink);
        subMenuList.appendChild(subNavItem);
      });

      navItemWrapper.appendChild(subMenuList);
    }

    navItem.appendChild(navItemWrapper);
    menuList.appendChild(navItem);
  });

  return menuList;
}

  function toggleSubMenu(event, navItem) {
    event.stopPropagation();
    var subMenu = navItem.querySelector("ul.nav");
    var arrowIcon = navItem.querySelector("span[data-feather='chevron-right']");
    subMenu.classList.toggle("d-none");
    arrowIcon.classList.toggle("rotate-90");
  }

  document.addEventListener("DOMContentLoaded", function () {
    var sidebarMenu = document.getElementById("sidebarMenu");
    var positionSticky = document.createElement("div");
    positionSticky.classList.add("position-sticky", "pt-3", "sidebar-sticky");

    var dynamicMenu = createMenu(menuData);
    positionSticky.appendChild(dynamicMenu);
    sidebarMenu.appendChild(positionSticky);

    feather.replace();
  });
</script>
</body>
</html>